QGIS Application - Bug report #11643
SRID/ Primary key not populating with "Only look in meta data table" unchecked
2014-11-14 04:17 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19896
Description

To replicate:

- Connect to table with these checkboxes selected:
--"Only look for users tables", and "only look in meta data table".

| get 23 different selectable tables, all have a SRID correctly determined.

- Now do the same again but use these options only:
- "Only look for users tables"

- 1 get NO results with SRID correctly determined. They all say "Enter SRID".
Problem is MDSYS.SDO_GEOM_METADATA_TABLE does have SRID's for all those tables. So actual metadata is being ignored when
"Only look in meta data table" is disabled. Surely it should start by searching the metadata table getting all pertinent data, then look for all

tables that are not in there if the checkbox is disabled?

QGIS 2.6

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-08 01:35 PM - Jiirgen Fischer
- Assignee deleted (Jirgen Fischer)

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
